[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TShowHintEvent

Defines an event handler signalled to perform hint display.

## Declaration

Source position: forms.pp line 1349

`type TShowHintEvent = procedure(`
`var HintStr: string;`
`var CanShow: Boolean;`
`var HintInfo: THintInfo`
`) of object;`

## Arguments

`HintStr` |  | Text for hint display event.
`CanShow` |  | True if the hint can be displayed.
`HintInfo` |  | Hint info structure for the hint.

## Description

TShowHintEvent is an object procedure type which defines an event handler signalled to perform hint display. It is the type used for the TApplication.OnShowHint event handler property.

## See also

TApplication.OnShowHint |  | Event handler signalled prior to displaying a hint window.
TApplication.ShowHintWindow |  | Shows or hides the hint window for a control in the application.
TApplication.AddOnShowHintHandler |  | Adds an application Hint show handler to the list for the handler type.
TApplication.RemoveOnShowHintHandler |  | Removes an application Hint show handler from the list for the handler type.
TApplicationProperties.OnShowHint |  | Event handler signalled prior to displaying a hint window.